package data;
import com.ibm.javart.v6.*;
import com.ibm.javart.v6.server.sql.*;

public class EzeDetailAddress extends JdbcRecord2
{
	public SqlBin4Int addressID;
	public SqlCha street;
	public SqlCha city;
	public SqlCha state;
	public SqlCha zip;
	public SqlCha phoneNumber;
	
	public EzeDetailAddress( App ezeApp, String ezeName ) throws JavartException
	{
		super( ezeName, ezeApp, 6,156 );
		// ----------  Instantiate Data Items  ---------------
		addressID = new SqlBin4Int( "addressID", ezeApp, this, JavartDataItem.SINGLE, 1, 8, 0, 4 );
		street = new SqlCha( "street", ezeApp, this, JavartDataItem.SINGLE, 1, 54, 0, 12, 50 );
		street.setVarLength( true );
		city = new SqlCha( "city", ezeApp, this, JavartDataItem.SINGLE, 1, 54, 0, 66, 50 );
		city.setVarLength( true );
		state = new SqlCha( "state", ezeApp, this, JavartDataItem.SINGLE, 1, 6, 0, 120, 2 );
		state.setVarLength( true );
		zip = new SqlCha( "zip", ezeApp, this, JavartDataItem.SINGLE, 1, 12, 0, 126, 8 );
		zip.setVarLength( true );
		phoneNumber = new SqlCha( "phoneNumber", ezeApp, this, JavartDataItem.SINGLE, 1, 22, 0, 138, 18 );
		phoneNumber.setVarLength( true );
		
		
		
	}
	
	public String getRecordBeanName()
	{
		return "data.DetailAddress";
	}
	
	
	public Content copy( Container ezeContainer ) throws JavartException
	{
		EzeDetailAddress ezedetAddress = new EzeDetailAddress( getApp(), getName() );
		ezedetAddress.setup( 0 );
		
		ezedetAddress.setContainer( ezeContainer );
		ezedetAddress.assign( this );
		return ezedetAddress;
	}
}
